<?php

if (!defined('DC_CONTEXT_ADMIN')) { exit; }

require dirname(__FILE__).'/class.dc.catimg.php';


$default_tab = 'about';
 
if (isset($_REQUEST['tab'])) {
	$default_tab = $_REQUEST['tab'];
}
 
$settings =& $core->blog->settings;
 
$settings->setNameSpace('CatImgs');
 
if (!empty($_POST['saveconfig']))
{
	$settings->put('CatImgs_defaultimage_dir', html::escapeHTML($_POST['defaultimgdir']),'string',__('CatImgs Default-Image Directory'));

	$settings->put('CatImgs_defaultimage_name', html::escapeHTML($_POST['defaultimgname']),'string',__('CatImgs Default-Image Filename'));

 
	# redirect to the page, avoid conflicts with old settings
	http::redirect($p_url.'&tab=settings&saveconfig=1');
}
 
if (isset($_GET['saveconfig']))
{
	$msg = __('Configuration successfully updated.');
}


$default_img = dcCatImg::getDefaultImg();
$plugindir = basename(dirname(__FILE__));

?>
<html>
<head>
	<title><?php echo(__('Categorie Images')); ?></title>
	<?php echo dcPage::jsPageTabs($default_tab); ?>
</head>
<body>
 
	<h2><?php echo html::escapeHTML($core->blog->name).' &rsaquo; '.
		__('Categorie Images'); ?></h2>
 
	<?php if (!empty($msg)) {echo '<p class="message">'.$msg.'</p>';} ?>
 
	<div class="multi-part" id="about"
		title="<?php echo __('About'); ?>">
		<h3>Description :</h3>
		<p>
		<b><?php echo $core->plugins->moduleInfo('catimgs','name'); ?></b>
		<br />
		version : <?php echo $core->plugins->moduleInfo('catimgs','version'); ?>
		<br />
		description : <?php echo $core->plugins->moduleInfo('catimgs','desc'); ?>
		<br />
		</p>
		<hr />
		<p>
		<h3>nouveautés :</h3>
		<ul>
			<li>
				Version 0.9
				<ul>
				<li>
					Ajout de la balise {{CategorieImageFile}}.
				</li>
				</ul>
			</li>
			<li>
				Version 0.8
				<ul>
				<li>
					Première version publiée.
				</li>
				</ul>
			</li>
		</ul>
		</p>
	</div>
	<div class="multi-part" id="doc"
		title="<?php echo __('Documentation'); ?>">
		<h3>Utilisation de CatImgs :</h3>

		<h4>Ajouter les images :</h4>
			
		<p> 
			Pour utiliser CatImgs, il faut tout d&#x27;abord ajouter une ou plusieurs images pour chaque cat&eacute;gorie. Pour ce faire, il suffit simplement de rajouter la (ou les) image(s) dans la description de la cat&eacute;gorie. 
			<br />
			<img src="<?php echo dcCatImg::getURL('?pf=/'.$plugindir.'/img/catimgs1.png'); ?>" alt="ajouter une image dans la categorie" />
		</p>
		<h4>Utilisation du Widget :</h4>
		<p>
			Ajouter le widget dans le bandeau de son choix, et configurer l&#x27;affichage du widget : d&eacute;finir le titre du widget, choisir la taille des images. Choisir d&#x27;accompagner l&#x27;image avec le titre sous forme de texte. Choisir d&#x27;afficher le premi&egrave;re image de la description, ou une image al&eacute;atoire de la description.	
			<br />
			<img src="<?php echo dcCatImg::getURL('?pf=/'.$plugindir.'/img/catimgs2.png'); ?>" alt="configurer le widget"/>
		</p>
		<p>
			On peut obtenir ensuite, avec un peu de personnalisation ce genre de chose :<br />
			<img src="<?php echo dcCatImg::getURL('?pf=/'.$plugindir.'/img/catimgs3.png'); ?>" alt="exemple de personnalisation"/>
		</p>	
		<h4>Utilisation de la balise :</h4>
		<p>
			Il est possible d&#x27;ajouter l&#x27;image de la cat&eacute;gorie dans l&#x27;affichage d&#x27;un billet, en utilisant la balise de CatImgs, comme ceci :
			<pre>
				&lt;a href=&quot;{{tpl:EntryCategoryURL}}&quot;&gt;&lt;img src=&quot;{{tpl:CategoryImageFile size=&quot;o&quot; random=&quot;1&quot;}}&quot; /&gt;&lt;/a&gt;
			</pre>
			La balise permet deux param&egrave;tres : 
			<ul>
				<li>
			<i>size</i> avec la valeur o pour original, m pour medium, s pour small, sq pour square, t pour thumbnail.
			</il><li>
				<i>random</i> avec la valeur 0 pour faut ou 1 pour vrai.
			</il>
			</ul>
		</p>	
		<h4>personnalisation du widget :</h4>
		<p>
		Voici un exemple de code HTML g&eacute;n&eacute;r&eacute; par le widget :
		
		<pre>

			&lt;div class=&quot;catimgs&quot;&gt;
				&lt;h2&gt;
					Categories List
				&lt;/h2&gt;
				&lt;div class=&quot;catimgscontent&quot;&gt;
					&lt;ul&gt;
						&lt;li&gt;
							&lt;a href=&quot;http://toutatis.local/dc2/index.php/category/General&quot;&gt;&lt;img src=&quot;/dc2/public/categories/general1.png&quot; alt=&quot;Ici et L&agrave;&quot; title=&quot;Ici et L&agrave;&quot;&gt; &lt;span&gt;Ici et L&agrave;&lt;/span&gt;&lt;/a&gt;
							&lt;ul&gt;
								&lt;li&gt;
									&lt;a href=&quot;http://toutatis.local/dc2/index.php/category/Montres&quot;&gt;&lt;img src=&quot;/dc2/public/categories/montres1.png&quot; alt=&quot;Tic Tac&quot; title=&quot;Tic Tac&quot;&gt; &lt;span&gt;Tic Tac&lt;/span&gt;&lt;/a&gt;
								&lt;/li&gt;
							&lt;/ul&gt;
						&lt;/li&gt;
						&lt;li&gt;
							&lt;a href=&quot;http://toutatis.local/dc2/index.php/category/Webtech&quot;&gt;&lt;img src=&quot;/dc2/public/categories/webtech1.png&quot; alt=&quot;Web Tech&quot; title=&quot;Web Tech&quot;&gt; &lt;span&gt;Web Tech&lt;/span&gt;&lt;/a&gt;
						&lt;/li&gt;
						&lt;li&gt;
							&lt;a href=&quot;http://toutatis.local/dc2/index.php/category/Actu&quot;&gt;&lt;img src=&quot;/dc2/public/categories/actu1.png&quot; alt=&quot;Humeur d&#x27;Actu&quot; title=&quot;Humeur d&#x27;Actu&quot;&gt; &lt;span&gt;Humeur d&#x27;Actu&lt;/span&gt;&lt;/a&gt;
						&lt;/li&gt;
					&lt;/ul&gt;
				&lt;/div&gt;
			&lt;/div&gt;
		</pre>

		La personnalisation CSS peut se faire &agrave; partir de la classe <strong>catimgs</strong> et des balises <strong>&lt;ul&gt;</strong> et <strong>&lt;li&gt;</strong>.
		</p>
		<p>
			L&#x27;image par d&eacute;faut qui est utilis&eacute;e si la description de la cat&eacute;gorie ne comporte pas d&#x27;image, peut-&ecirc;tre d&eacute;finie dans le th&egrave;me. Pour se faire il faut changer les valeurs de l&#x27;onglet <strong>param&egrave;tres</strong> de cette page. 
	</div>
 
	<div class="multi-part" id="settings"
		title="<?php echo __('Settings'); ?>">

		<p><?php echo __('Default Image :'); 
			echo '<img src="'.$default_img.'" />' ; ?>
		</p>
		<form method="post" action="<?php echo($p_url); ?>">
			
			<p><label><?php echo(__('Default Image Directory').
				form::field('defaultimgdir',40,255,
					html::escapeHTML($settings->CatImgs_defaultimage_dir))); ?></label></p>


			<p><label><?php echo(__('Default Image Filename').
				form::field('defaultimgname',40,255,
							html::escapeHTML($settings->CatImgs_defaultimage_name))); ?></label></p>

				
			<p><?php echo $core->formNonce(); ?></p>
			<p><input type="submit" name="saveconfig"
			value="<?php echo __('Save configuration'); ?>" /></p>
		</form>
	</div>
 
</body>
</html>